Subject: Re: bug#29290: 25.3; bug-gnu-emacs archive web search fails to find matching bugs

From: myglc2 <[email-masked]>
Date: Tue, 14 Nov 2017 12:42:36 -0500

On 11/14/2017 at 15:18 Eli Zaretskii writes:

>> From: myglc2 <[email-masked]>
>> Date: Mon, 13 Nov 2017 18:17:28 -0500
>>
>> To see an example, search bug-gnu-emacs for 'server-name', e.g.,
>>
>> http://lists.gnu.org/archive/cgi-bin/namazu.cgi?query=server-name&submit=Search%21&idxname=bug-gnu-emacs&max=20&result=normal&sort=score
>>
>> This gives 20 hits non of which is ...
>>
>> https://debbugs.gnu.org/23576
>> [documentation] ‘Using Emacs as a Server’: ‘M-x set-variable RET
>> server-name RET foo RET’

> My suggestion is to use the search engine of the bug tracker, at
>
>   https://debbugs.gnu.org/cgi/search.cgi
>
> It is more sophisticated and does find the above bug report.

I tried the link above. It takes an unnatural amount of effort to find
the bug between the garbled titles and summary lines.

> The reasons why the mailman search didn't find the report could be a
> few.  One of them could be the way the Subject line was formatted
> (download the bug report in mbox format and see for yourself).  Or it
> could be some other snafu.

But aren't you alarmed it works so poorly?

> But you are advised to try the above
> search engine before concluding that a bug for some issue doesn't
> exist.

Sorry, I didn't see that. Where is this advised?

'M-x report-emacs-bug' mentions debbugs.gnu.org but does not provide any
specific advice.

The first google hit for "emacs bug" is https://debbugs.gnu.org

So, OK, both put you on debbugs.gnu.org. Now if you search the page for
"emacs" ...

... the first hit is the aforementioned mailman search ;-(

... the second hit is

https://debbugs.gnu.org/cgi/pkgreport.cgi?package=emacs;max-bugs=100;base-order=1;bug-rev=1

... which I can't get to find the bug ;-(

So, bottom line,

1) if you _don't want_ people to go to mailman search please _remove the
   1st link_ on debbugs.gnu.org

2) if you want people to go to the search link you gave me, please _edit
   the 2nd link_ debbugs.gnu.org

3) If you want average users to use
   https://debbugs.gnu.org/cgi/search.cgi to pre-chew bug reports please
   to improve its usability.